Thanks Apple

I just spent the last 3 days pulling what's left of my hair out. A few customers were having weird PlusKit problems -- The symptoms weren't always exactly the same but similar enough for me to know that something was afoot -- The problem was everything worked great for me, I saw absolutely no problem.

The problem? Safari 3.0 beta. When Apple packaged up the safari 3.0 beta the installed a brand new WebKit framework in the systems folder. What does this mean? It mean's anything that uses WebKit will use the new (beta?) version of web kit.

A freakish amount of apps use WebKit including RapidWeaver with the result that you are now using a untested configuration of RapidWeaver. It turns out that PlusKit uses one small webkit function to help convert HTML entities to UTF8 characters that is broken in the WebKit beta which was the root cause.

I just pushed up a new version of PlusKit (1.04) that should work regardless if you have Safari 2.0 and Safari 3.0, it's highly recommended.

Comments (2)

Next Page -->